## net.sf.saxon.query
Interface XQueryFunctionBinder

All Superinterfaces:
  FunctionLibrary, java.io.Serializable

All Known Implementing Classes:
  FunctionLibraryList, ImportedFunctionLibrary, XQueryFunctionLibrary

public interface XQueryFunctionBinder
extends FunctionLibrary

Method Summary
`XQueryFunction` `getDeclaration(int nameCode, java.lang.String uri, java.lang.String local, Expression[] staticArgs)` Get the function declaration corresponding to a given function name and arity

Methods inherited from interface net.sf.saxon.functions.FunctionLibrary
`bind, copy, isAvailable`

Method Detail

### getDeclaration

    public XQueryFunction getDeclaration(int nameCode,
                                         java.lang.String uri,
                                         java.lang.String local,
                                         Expression[] staticArgs)

  Get the function declaration corresponding to a given function name and arity

  Returns:
    the XQueryFunction if there is one, or null if not.